﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PLANGRAM]') AND name = N'KEY1')
BEGIN 
PRINT 'Creating index KEY1 on table PLANGRAM'
CREATE UNIQUE NONCLUSTERED INDEX [KEY1] ON [dbo].[PLANGRAM] 
(
	[STORE] ASC,
	[SKUN] ASC,
	[PLANNO] ASC,
	[PLANSEGN] ASC,
	[FIXTURENO] ASC,
	[FIXTSEQN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PLANGRAM' AND COLUMN_NAME = 'DELE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PLANGRAM_DELE')
BEGIN 
    PRINT 'Creating default constraint DF_PLANGRAM_DELE on table PLANGRAM' 
    ALTER TABLE [dbo].[PLANGRAM]
    ADD CONSTRAINT [DF_PLANGRAM_DELE] DEFAULT ((0)) FOR [DELE]
END 
GO

